SubDir TOP haiku-on-genode kits locale ;

SetupHeadersHoG ;
UsePrivateHeaders locale shared ;
SubDirHdrs $(TOP) haiku-on-genode kits locale-private ;


if $(LayerLevel) >= 7
{
	HaikuKit locale_kit.a :
		UnicodeChar.cpp
		;
}

if $(LayerLevel) >= 8
{
	HaikuKit locale_kit.a :
		Collator.cpp
		DateFormat.cpp
		DateTimeFormat.cpp
		DurationFormat.cpp
		Format.cpp
		FormattingConventions.cpp
		Language.cpp
		Locale.cpp
		LocaleRoster.cpp
		StringFormat.cpp
		TimeFormat.cpp
		TimeUnitFormat.cpp
		TimeZone.cpp
		;
}

